Bug 985572 - PATCH: don't set "date of last password change" /etc/shadow field when creating users
PATCH: don't set "date of last password change" /etc/shadow field when creati...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 15:07 EDT by Hans de Goede
Modified: 2013-09-18 22:41 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 22:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda users.py patch (1.04 KB, patch)
2013-07-17 15:07 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2013-07-17 15:07:09 EDT
Created attachment 774935 [details]
anaconda users.py patch

Description of problem:

anaconda uses libuser, which always set the  "date of last password change" /etc/shadow field, even when password aging is not enabled (which it is not by default on Fedora, and it cannot be enabled at install time AFAIK).

This leads to a slightly inconsistent /etc/shadow, which by itself is not a big problem, where it not for bug 985569, which forces users to have to change their password immediately on first login, despite the user having been created seconds ago by initial-setup.

Attached is a patch for anacond which makes anaconda tell libuser to not set the "date of last password change" /etc/shadow field, thus leading to /etc/shadow entries which are consistent with what other tools create, and working around the libuser bug.
Comment 1 Paul Whalen 2013-08-29 11:01:00 EDT
This issue is also forcing password changes on the F20 Alpha TC2 for ARM, has this patch been considered further?
Comment 2 Vratislav Podzimek 2013-09-06 09:47:30 EDT
Patch posted to anaconda-patches. Hans, feel free to do it on your own next time.
Comment 3 Fedora Update System 2013-09-09 20:11:33 EDT
anaconda-20.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.13-1.fc20
Comment 4 Fedora Update System 2013-09-10 12:24:44 EDT
Package anaconda-20.13-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.13-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16296/anaconda-20.13-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-10 15:48:50 EDT
anaconda-20.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.14-1.fc20
Comment 6 Fedora Update System 2013-09-11 21:03:51 EDT
anaconda-20.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.15-1.fc20
Comment 7 Fedora Update System 2013-09-13 21:05:35 EDT
anaconda-20.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.16-1.fc20
Comment 8 Fedora End Of Life 2013-09-16 13:08:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Fedora Update System 2013-09-16 13:48:41 EDT
anaconda-20.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.17-1.fc20
Comment 10 Paul Whalen 2013-09-16 15:11:05 EDT
verified with anaconda-20.17-1.fc20
Comment 11 Fedora Update System 2013-09-18 22:41:29 EDT
anaconda-20.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.